# VecSwap

Swaps the vectors x and y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSwap(Vec x,Vec y)

Collective on Vec

### Input Parameters

x, y -the vectors

Level:advanced
Location: src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1e.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html